package macros

type PAAS_REGION string

const (
	PAAS_REGION_CN_SOUTHWEST_1 PAAS_REGION = "cn-southwest-1" // 西南-贵阳一
	PAAS_REGION_AP_SOUTHWEST_1 PAAS_REGION = "ap-southwest-1" // 亚太-曼谷
	PAAS_REGION_US_EAST_1      PAAS_REGION = "us-east-1"      // 美国-俄亥俄州
)

const (
	//PAAS_ENDPOINT_CN_SOUTHWEST_1 = "paas.cn-southwest-1.smartcloudcon.com" // 西南-贵阳一
	PAAS_ENDPOINT_CN_SOUTHWEST_1 = "118.195.131.215"                       // 西南-贵阳一
	PAAS_ENDPOINT_AP_SOUTHWEST_1 = "paas.ap-southwest-1.smartcloudcon.com" // 亚太-曼谷
	PAAS_ENDPOINT_US_EAST_1      = "paas.us-east-1.smartcloudcon.com"      // 美国-俄亥俄州
)

var EndpointMap = map[PAAS_REGION]string{
	PAAS_REGION_CN_SOUTHWEST_1: PAAS_ENDPOINT_CN_SOUTHWEST_1,
	PAAS_REGION_AP_SOUTHWEST_1: PAAS_ENDPOINT_AP_SOUTHWEST_1,
	PAAS_REGION_US_EAST_1:      PAAS_ENDPOINT_US_EAST_1,
}
